module E = Errormsg
module L = Logic
module P = Proof
module S = Satproc

open Pretty

let debug = ref false
let siid = "SI"

let entries = 
  { S.init  = (fun _ -> ());
    S.snapshot = (fun () -> ());
    S.undo = (fun () -> ());
    S.assume = (fun _ _ -> []);
    S.proveIt = (fun _ -> E.s (E.unimp "Supinf: proveIt"));
    S.debug = debug;
    S.ident  = siid;
    S.descr  = "Sup-inf";
  } 
